summaryrefslogtreecommitdiffstats
path: root/scripts/makepkg.sh.in
diff options
context:
space:
mode:
Diffstat (limited to 'scripts/makepkg.sh.in')
-rw-r--r--scripts/makepkg.sh.in12
1 files changed, 10 insertions, 2 deletions
diff --git a/scripts/makepkg.sh.in b/scripts/makepkg.sh.in
index b18665c5..04d2aca1 100644
--- a/scripts/makepkg.sh.in
+++ b/scripts/makepkg.sh.in
@@ -1439,11 +1439,11 @@ if [ -z "$pkgrel" ]; then
error "$(gettext "%s is not allowed to be empty.")" "pkgrel"
exit 1
fi
-if [ $(echo "$pkgver" | grep '-') ]; then
+if [ "$pkgver" != "${pkgver//-/}" ]; then
error "$(gettext "%s is not allowed to contain hyphens.")" "pkgver"
exit 1
fi
-if [ $(echo "$pkgrel" | grep '-') ]; then
+if [ "$pkgrel" != "${pkgrel//-/}" ]; then
error "$(gettext "%s is not allowed to contain hyphens.")" "pkgrel"
exit 1
fi
@@ -1465,6 +1465,14 @@ if ! in_array $CARCH ${arch[@]}; then
fi
fi
+for provide in ${provides[@]}; do
+ if [ $provide != ${provide//</} -o $provide != ${provide//>/} ]; then
+ error "$(gettext "Provides array cannot contain comparison (< or >) operators.")"
+ exit 1
+ fi
+done
+unset provide
+
if [ "$install" -a ! -f "$install" ]; then
error "$(gettext "Install scriptlet (%s) does not exist.")" "$install"
exit 1